GITG(1)

NAME
gitg - Git repository viewer

SYNOPSIS
gitg [OPTION]... [REPOSITORY]...

DESCRIPTION
gitg is a graphical user interface for git. It aims at being a small, fast and convenient tool to visualize the history of git repositories. Besides visualization, gitg also provides several utilities to manage your repository and commit your work.

OPTIONS
Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-gtk
    Show GTK+ Options

Application Options:

-v, --version
    Show the application?s version

--activity
    Start gitg with a particular activity

-c, --commit
    Start gitg with the commit activity (shorthand for --activity commit)

--no-wd
    Do not try to load a repository from the current working directory

--standalone
    Run gitg in standalone mode

--display=DISPLAY
    X display to use

-a, --all
    Select all commits by default in the history activity

-b, --branches
    Select all branches by default in the history activity

-r, --remotes
    Select all remotes by default in the history activity

-t, --tags
    Select all tags by default in the history activity

-s, --select-reference=REFERENCE
    Select the specified reference by default in the history activity

gitg will try to load any REPOSITORY passed as command line argument (multiple paths can be passed).

If no repository is specified, gitg will try to open the repository specified by the GIT_DIR environment variable; if GIT_DIR is not set gitg will try to open the repository at the current working directory.

ENVIRONMENT VARIABLES
GIT_DIR
    If the GIT_DIR environment variable is set, and no repositories have been passed as command line arguments, then it specifies a path to use instead of the default .git for the base of the repository.

AUTHORS
Jesse van den Kieboom <jesse@icecrew.nl>
Alberto Fanjul <albfan@gnome.org>